Spamasssin verändert Zeilenumbrüche in den Mails

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
plumps22
Posts: 48
Joined: 2003-06-12 21:39

Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-09 14:21

Hallo, ich habe einen Rooti von 1&1 mit Postfix und Spamass. Wenn ich jetzt Mails bekomme, dann verändert Spamass mir die Textform, indem er alle Zeilenumbrüche entfert. Beispiel:

Originaltext der Mail:
Hallo1
hallo2
hallo3

Wenn ich dann die Mail empfange, sieht ie so aus:
Hallo1 hallo2 hallo3

Hat jemand eine Idee ????

Ach ja, es muss am Spamass liegen, denn wen ich den abschalte, wird die Mail richtig angezeigt.

dodolin
RSAC
Posts: 4009
Joined: 2003-01-21 01:59
Location: Sinsheim/Karlsruhe

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by dodolin » 2003-08-09 14:34

a) Bin ich Hellseher?
b) Könnte das auch an deinem MUA liegen? (Welchen benutzt du? Wie ist der konfiguriert?)
c) Bei mir tut der Spamassassin und macht sowas nicht. :)

plumps22
Posts: 48
Joined: 2003-06-12 21:39

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-09 14:49

a) keine Ahnung
b) ich benutze Outlook, aber daran kann es auch nicht liegen, ich habe mehrere Referenz-PC`s mit Outlook, abei allen das gleiche Problem.
c) wäre gut wenn das bei mir auch so wäre

patrickwolf
Posts: 15
Joined: 2002-09-04 14:37

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by patrickwolf » 2003-08-09 15:24

Schalt unter Outlook mal "Zusätzliche Zeilenumbrüche in Nur-Text-Nachrichten entfernen" aus!
(zu finden unter Extras->Optionen->Einstellungen->E-Mail-Optionen)

plumps22
Posts: 48
Joined: 2003-06-12 21:39

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-09 16:14

diese option gibt es bei mir nicht. outlookversion 5.0

patrickwolf
Posts: 15
Joined: 2002-09-04 14:37

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by patrickwolf » 2003-08-09 16:16

Achso, Outlook Express!!! Nicht Outlook.

Damit kenne ich mich nicht aus.

plumps22
Posts: 48
Joined: 2003-06-12 21:39

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-09 19:06

ich glaube auch nicht, das es am outlook liegt. es muss etwas mit dem spamfilter zu tun haben.

captaincrunch
Userprojekt
Userprojekt
Posts: 7225
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by captaincrunch » 2003-08-09 19:59

Im allgemeinen pflege ich Dinge nicht glauben, sondern wissen zu wollen, und hätte es (alleine um das Virenschleuderprogramm auszuschließen) mit einem anderen Email-Client probiert.

Die Wahrscheinlichkeit, dass Spamassassin Body von Nachrichten anrührt ist verschwindend gering ...
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

dodolin
RSAC
Posts: 4009
Joined: 2003-01-21 01:59
Location: Sinsheim/Karlsruhe

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by dodolin » 2003-08-10 02:08

ich glaube auch nicht, das es am outlook liegt. es muss etwas mit dem spamfilter zu tun haben.
Glauben kann man in der Kirche.
http://www.catb.org/~esr/faqs/smart-que ... l#symptoms
Die Wahrscheinlichkeit, dass Spamassassin Body von Nachrichten anrührt ist verschwindend gering ...
Dagegen habe ich http://www.spamassassin.org/doc/Mail_Sp ... _Conf.html -> report_save zu bieten. Aber sagen wir mal so: Die Wahrscheinlichkeit ist verschwindend gering, dass SA etwas an den Zeilenumbrüchen in einer Mail ändert, weil es AFAIK keinerlei solche Konfigoption gibt. ;) Aber wir können ja gerne hier weiter Glaskugelstunde machen, momentan kann meine Laune kaum noch schlechter werden (was jetzt aber nicht an diesem Thread hier liegt).

plumps22
Posts: 48
Joined: 2003-06-12 21:39

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-10 11:05

Code: Select all

# ==========================================================================
# service type  private unpriv  chroot  wakeup  maxproc command + args
#               (yes)   (yes)   (yes)   (never) (50)
# ==========================================================================
smtp      inet  n       -       n       -       -       smtpd -o content_filter=filter:dummy
smtps     inet  n       -       n       -       -       smtpd
  -o smtpd_tls_wrappermode=yes -o smtpd_sasl_auth_enable=yes
#submission     inet    n       -       n       -       -       smtpd
#  -o smtpd_enforce_tls=yes -o smtpd_sasl_auth_enable=yes
#628      inet  n       -       n       -       -       qmqpd
pickup    fifo  n       -       n       60      1       pickup
cleanup   unix  n       -       n       -       0       cleanup
qmgr      fifo  n       -       n       300     1       qmgr
#qmgr     fifo  n       -       n       300     1       nqmgr
#tlsmgr   fifo  -       -       n       300     1       tlsmgr
rewrite   unix  -       -       n       -       -       trivial-rewrite
bounce    unix  -       -       n       -       0       bounce
defer     unix  -       -       n       -       0       bounce
flush     unix  n       -       n       1000?   0       flush
smtp      unix  -       -       n       -       -       smtp
showq     unix  n       -       n       -       -       showq
error     unix  -       -       n       -       -       error
local     unix  -       n       n       -       -       local
virtual   unix  -       n       n       -       -       virtual
lmtp      unix  -       -       n       -       -       lmtp
#localhost:10025 inet   n       -       n       -       -       smtpd -o content_filter=
Das ist ein Auszug aus meiner master.cf
Wenn ich nun die erste Zeile ohne

Code: Select all

-o content_filter=filter:dummy
benutze, dann funktioniert alles und es werden keine Zeilenumbrüche entfernt. Aber die Mails werden dann nicht mehr gescannt vom Spamass.
Ich hoffe das das etwas weiterhilft und wir somit von der Glaskugen wegkommen.

plumps22
Posts: 48
Joined: 2003-06-12 21:39

Re: Spamasssin verändert Zeilenumbrüche in den Mails

Post by plumps22 » 2003-08-10 11:57

ich habs gefunden, meine filter.sh war etwas falsch, die muss so aussehen:

Code: Select all

#!/bin/sh

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
SPAMASSASSIN=/usr/bin/spamc

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting.
trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15

# Parameter for $SPAMASSASSIN
#  -P   Pipe message, don't deliver
#  -x   Disable user config files
#  -a   Use auto-whitelists
# cat | $SPAMASSASSIN -P -x -a > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }
cat | $SPAMASSASSIN  > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL -i "$@" < out.$$

exit $?